Ruby on Railsを勉強している方が避けて通れない”Bundle Install”。私はWeb Campの教材で勉強し続けています。(スクールの期限は切れたけど一生使えるという優れもの)

スポンサードサーチ

Bundle Installしようとしたら…

Bootstrap用のサンプルファイルをダウンロードして

  1. $ bundle install

すると..,

  1. Fetching source index
  2. from https://rubygems.org/
  3. Retrying fetcher due to error (2/4):
  4. Bundler::HTTPError Could not fetch specs
  5. from https://rubygems.org/
  6. Retrying fetcher due to error (3/4):
  7. Bundler::HTTPError Could not fetch specs
  8. from https://rubygems.org/

テキストにはエラーが出た場合には以下をコマンド前に入れてくださいと書いていたので、やってみましたがやはりエラー。

  1. bundle exec

ネットで検索して、gemファイルをアップデートしないといけないという記載を見たので下記を実行するもエラー。

  1. $ gem update –system

どうしたらいいの!?

解決したけど…もやもや

なんとパソコンを再起動してもう一度

  1. bundle install

を実行すると普通〜に成功しました。モヤモヤが残る解決方法ですが、検索した結果全て試してもbundle Installで上記エラーが出てしまう方は一度お試しください。ちなみにWifiを変えたら治ったという意見もあったので、エラーの原因が全てコードのせいではないとなりました…。行き詰まった時は再起動してみましょう。

下記エラーもサーバーの再起動で改善されます…私のパソコンが悪いのか…?

  1. NoMethodError: undefined method ‘[]’ for

※for Nilclassは再起動では改善されません。コードの修正をお願いします。

プログラミング超初心者のメモ書きでした〜。めげずに頑張って行こうと思います。